Bug 435555 - Missing Obsoletes for sysvinit?
Missing Obsoletes for sysvinit?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: upstart (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-01 10:51 EST by Kevin Kofler
Modified: 2014-06-18 04:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 14:56:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2008-03-01 10:51:38 EST
Description of problem:
I've noticed upstart.spec contains no Obsoletes tag for sysvinit. This causes 
sysvinit to stay there on upgrades, causing file conflicts. Shouldn't the 
Obsoletes tag be added?

Version-Release number of selected component (if applicable):
upstart-0.3.9-5.fc9
Comment 1 Casey Dahlin 2008-03-01 14:35:51 EST
Upstart does not replace sysvinit. event-compat-sysv replaces sysvinit, and
there the tag is already in place.
Comment 2 Kevin Kofler 2008-03-01 14:56:08 EST
Oh, duh, upgrade paths should be working fine then, closing, sorry for the 
noise.

Note You need to log in before you can comment on or make changes to this bug.